SMSCollectionClients (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.sms.SMSCollectionClients interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.sms
Interface SMSCollectionClients

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface SMSCollectionClients

extends LogicalElement

Class is an abstract class. It is the parent class for all the SMS_CM_RES_COLL_ classes, which are the member classes for each collection. Instances of these member classes are the members of the associated collections. ref ms sdk sms 2003 sp1

Naming Rules:
  0="SMSCollection,resourceID"
Persistable:
  true
Table Name:
  SMSCOLLCLIENTS
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getDomain()` Domain to which the member class belongs
`boolean` | `getIsAssigned()` Indicates whether the client is assigned to this site.
`boolean` | `getIsClient()` Indicates whether the resource is an installed SMS client.
`boolean` | `getIsDirect()` Value is TRUE if the client is a member through a direct rule (SMS_CollectionRuleDirect) - otherwise, the value is FALSE or NULL.
`java.lang.String` | `getName()` Name of the resource.
`java.lang.String` | `getResourceID()` Unique SMS-supplied identifier for this resource.
`int` | `getResourceType()` Type of resource such as system or user.
`java.lang.String` | `getSiteCode()` Site code of the site that created the collection.
`SMSCollections` | `getSMSCollection()`
`java.lang.String` | `getSMSID()` SMS unique identifier (GUID) generated by the client.
`SMSResource` | `getSMSResource()`
`WindowsComputerSystem` | `getWindowsComputerSystem()`
`boolean` | `hasDomain()`
`boolean` | `hasIsAssigned()`
`boolean` | `hasIsClient()`
`boolean` | `hasIsDirect()`
`boolean` | `hasName()`
`boolean` | `hasResourceID()`
`boolean` | `hasResourceType()`
`boolean` | `hasSiteCode()`
`boolean` | `hasSMSCollection()`
`boolean` | `hasSMSID()`
`boolean` | `hasSMSResource()`
`boolean` | `hasWindowsComputerSystem()`
`void` | `setDomain(java.lang.String x)`
`void` | `setIsAssigned(boolean x)`
`void` | `setIsClient(boolean x)`
`void` | `setIsDirect(boolean x)`
`void` | `setName(java.lang.String x)`
`void` | `setResourceID(java.lang.String x)`
`void` | `setResourceType(int x)`
`void` | `setSiteCode(java.lang.String x)`
`void` | `setSMSCollection(SMSCollections x)`
`void` | `setSMSID(java.lang.String x)`
`void` | `setSMSResource(SMSResource x)`
`void` | `setWindowsComputerSystem(WindowsComputerSystem x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getSMSID

    java.lang.String getSMSID()
                              throws AttributeNotSetException

  SMS unique identifier (GUID) generated by the client. The IsClient property must be TRUE.

  Throws:
    `AttributeNotSetException`

### setSMSID

    void setSMSID(java.lang.String x)

### hasSMSID

    boolean hasSMSID()

### getIsClient

    boolean getIsClient()
                        throws AttributeNotSetException

  Indicates whether the resource is an installed SMS client.

  Throws:
    `AttributeNotSetException`

### setIsClient

    void setIsClient(boolean x)

### hasIsClient

    boolean hasIsClient()

### getSiteCode

    java.lang.String getSiteCode()
                                 throws AttributeNotSetException

  Site code of the site that created the collection.

  Throws:
    `AttributeNotSetException`

### setSiteCode

    void setSiteCode(java.lang.String x)

### hasSiteCode

    boolean hasSiteCode()

### getWindowsComputerSystem

    WindowsComputerSystem getWindowsComputerSystem()
                                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.InstalledOn" reverse="false"

### setWindowsComputerSystem

    void setWindowsComputerSystem(WindowsComputerSystem x)

### hasWindowsComputerSystem

    boolean hasWindowsComputerSystem()

### getResourceType

    int getResourceType()
                        throws AttributeNotSetException

  Type of resource such as system or user. For more information, see SMS_ResourceMap.

  Throws:
    `AttributeNotSetException`

### setResourceType

    void setResourceType(int x)

### hasResourceType

    boolean hasResourceType()

### getSMSCollection

    SMSCollections getSMSCollection()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setSMSCollection

    void setSMSCollection(SMSCollections x)

### hasSMSCollection

    boolean hasSMSCollection()

### getIsAssigned

    boolean getIsAssigned()
                          throws AttributeNotSetException

  Indicates whether the client is assigned to this site.

  Throws:
    `AttributeNotSetException`

### setIsAssigned

    void setIsAssigned(boolean x)

### hasIsAssigned

    boolean hasIsAssigned()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Name of the resource.

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

### getDomain

    java.lang.String getDomain()
                               throws AttributeNotSetException

  Domain to which the member class belongs

  Throws:
    `AttributeNotSetException`

### setDomain

    void setDomain(java.lang.String x)

### hasDomain

    boolean hasDomain()

### getSMSResource

    SMSResource getSMSResource()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setSMSResource

    void setSMSResource(SMSResource x)

### hasSMSResource

    boolean hasSMSResource()

### getIsDirect

    boolean getIsDirect()
                        throws AttributeNotSetException

  Value is TRUE if the client is a member through a direct rule (SMS_CollectionRuleDirect) - otherwise, the value is FALSE or NULL.

  Throws:
    `AttributeNotSetException`

### setIsDirect

    void setIsDirect(boolean x)

### hasIsDirect

    boolean hasIsDirect()

### getResourceID

    java.lang.String getResourceID()
                                   throws AttributeNotSetException

  Unique SMS-supplied identifier for this resource. A ResourceID value is not unique outside the site.

  Throws:
    `AttributeNotSetException`

### setResourceID

    void setResourceID(java.lang.String x)

### hasResourceID

    boolean hasResourceID()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD